Upgrade to locationtech JTS 1.15

Description

JTS has a new home and released a new 1.15 version where it also changed to a BSD-like / EPL license:

https://projects.eclipse.org/projects/locationtech.jts

In Geotools there was a recent upgrade to 1.14

https://github.com/geotools/geotools/pull/1665
https://osgeo-org.atlassian.net/browse/GEOT-5813 (not sure why this is still open)

But upgrading to 1.15 should be much easier: just replacing vividsolutions with locationtech namespace and replacing the dependency.

See e.g. discussion about the importance of this migration for geotools here.

Environment

None

Assignee

Jody Garnett

Reporter

peter.karich

Triage

None

Fix versions

Priority

Medium
Configure